Subject: Re: mii-tool gigabit support.

From: Rick Jones <[email-masked]>
Date: Wed, 27 Sep 2006 10:57:07 -0700

Auke Kok wrote:
> Rick Jones wrote:
> 
>>> With mii-tool we can do the command below and work with a half duplex 
>>> hub and a full duplex switch.
>>> mii-tool -A 10baseT-FD,10baseT-HD eth0
>>
>>
>> Why, and how often, is that really necessary?
> 
> 
> This is a bit of a hypothetical discussion of course, but I can imagine 
> a lot of users with 100mbit switches in their homes (imagine all the 
> DSL/cable routers out there...) that want to stop their nic from 
> attempting to negotiate 1000mbit.

That would be covered by autosense right?  IIRC there haven't been issues with 
speed sensing, just duplex negotiation right?

> Another scenario: forcing the NIC to negotiate only full-duplex speeds. 
> Not only fun if you try it against a hub, but possibly useful.
> 
> For us it's much more interesting because we try every damn impossible 
> configuration anyway and see what gives (or breaks).
> 
> Anyway, a patch to make ethtool do this was merged as Jeff Kirsher 
> pointed out, so you can do this now with ethool too.

I'm just worried (as in Fear Uncertainty and Doubt) that having people set the 
allowed things to negotiate isn't really any more robust than stright-up 
hardcodes and perpetuates the (IMO) myth that one shouldn't autoneg on general 
principle.

rick

> Cheers,
> Auke